#ifndef __FIRE_PREFIX_H__
#error "Please do not include this file directly, use prefix.h"
#endif

#ifndef __vms
#error "ERROR: This include file is for VMS systems only"
#endif

/*
 * Lets do some error checking first
 */
#if !defined(__DECCXX) && !defined(__DECC)
#error "ERROR: Unknown compiler, fire only supports Digital/Compaq/HP compiler on VMS"
#endif

#if !defined(__ia64)
#error "ERROR: fdsrt supports only itanium architectures on VMS"
#endif

#if (__INITIAL_POINTER_SIZE != 64)
#error "ERROR: fdsrt only supports 64bit compilation on VMS"
#endif

#define FIRE_DECC
#define FIRE_DECCXX

#define FIRE_RT_PLATFORM_CHECK "cxx73_openvms64"

#define RT_API FDS_EXPORT
#define FIRE_API FDS_EXPORT
